%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name @reduxjs/toolkit

Name: %{?scl_prefix}nodejs-reduxjs-toolkit
Version: 1.9.7
Release: 1%{?dist}
Summary: The official, opinionated, batteries-included toolset for efficient Redux development
License: MIT
Group: Development/Libraries
URL: https://redux-toolkit.js.org
Source0: https://registry.npmjs.org/@babel/runtime/-/runtime-7.27.6.tgz
Source1: https://registry.npmjs.org/@reduxjs/toolkit/-/toolkit-1.9.7.tgz
Source2: https://registry.npmjs.org/immer/-/immer-9.0.21.tgz
Source3: https://registry.npmjs.org/redux/-/redux-4.2.1.tgz
Source4: https://registry.npmjs.org/redux-thunk/-/redux-thunk-2.4.2.tgz
Source5: https://registry.npmjs.org/reselect/-/reselect-4.1.8.tgz
Source6: nodejs-reduxjs-toolkit-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(@babel/runtime)) = 7.27.6
Provides: bundled(npm(@reduxjs/toolkit)) = 1.9.7
Provides: bundled(npm(immer)) = 9.0.21
Provides: bundled(npm(redux)) = 4.2.1
Provides: bundled(npm(redux-thunk)) = 2.4.2
Provides: bundled(npm(reselect)) = 4.1.8
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 6 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/query %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/src %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/README.md

%changelog
* Wed Jul 23 2025 Foreman Packaging Automation <packaging@theforeman.org> 1.9.7-1
- Update to 1.9.7

* Thu Jun 19 2025 MariaAga <mariaaga@redhat.com> 1.6.0-1
- Add nodejs-reduxjs-toolkit generated by npm2rpm using the bundle strategy

